=== debian/changelog ===
tuned (2.8.0-1) unstable; urgency=medium

  * Initial release (Closes: #789592)

 -- Evgeni Golov <evgeni@debian.org>  Sat, 29 Apr 2017 07:37:27 +0200
