=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

%:
	dh $@ --with python2,systemd

override_dh_install:
	# Debian currently does not ship python-perf from src:linux
	# see https://bugs.debian.org/860957 for details
	$(RM) -f $(CURDIR)/debian/tmp/usr/lib/python*/dist-packages/tuned/plugins/plugin_scheduler.py
	dh_install --fail-missing

override_dh_auto_test:
	# pass
