## tuned 2.9.0

=== debian/changelog ===
tuned (2.9.0-1) unstable; urgency=medium

  * New upstream release.

  [ Michael Prokop ]
  * Recommend linux-cpupower to provide x86_energy_perf_policy tool

  [ Evgeni Golov ]
  * fix Vcs-Git Url
  * drop patches applied upstream
  * refresh libexec.patch
  * use versioned debhelper, not dh-systemd
  * Standards-Version: 4.1.1
  * update installed files
  * use dh_missing
  * drop unused overrides
  * disable process matching support

 -- Evgeni Golov <evgeni@debian.org>  Thu, 02 Nov 2017 19:48:41 +0100
