=== debian/control ===
--- 
+++ 
@@ -3,10 +3,9 @@
 Priority: optional
 Maintainer: Evgeni Golov <evgeni@debian.org>
 Uploaders: gustavo panizzo <gfa@zumbi.com.ar>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10.3),
                desktop-file-utils,
                dh-python,
-               dh-systemd,
                ethtool,
                hdparm,
                pkg-config,
@@ -18,9 +17,9 @@
                python-gi,
                python-pyudev,
                systemd
-Standards-Version: 3.9.8
+Standards-Version: 4.1.1
 Homepage: http://www.tuned-project.org/
-Vcs-Git: https://anonscm.debian.org/collab-maint/tuned.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/tuned.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/tuned.git
 
 Package: tuned
@@ -39,6 +38,7 @@
          virt-what,
          ${misc:Depends},
          ${python:Depends}
+Recommends: linux-cpupower
 Description: daemon for monitoring and adaptive tuning of system devices
  The tuned package contains a daemon that tunes system settings dynamically.
  It does so by monitoring the usage of several system components periodically.
