=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,10 @@
 	# Debian currently does not ship python-perf from src:linux
 	# see https://bugs.debian.org/860957 for details
 	$(RM) -f $(CURDIR)/debian/tmp/usr/lib/python*/dist-packages/tuned/plugins/plugin_scheduler.py
-	dh_install --fail-missing
+	dh_install
+
+override_dh_missing:
+	dh_missing --fail-missing
 
 override_dh_auto_test:
 	# pass
