=== debian/changelog ===
tuned (2.10.0-1) unstable; urgency=medium

  * New upstream release (Closes: #908053)
  * refresh libexec.patch
  * move Vcs to salsa
  * install mssql files
  * Standards-Version: 4.2.1
  * https homepage
  * Switch to Python3 (Closes: #908052)
  * backport upstream patch for python 3.7 compat
  * backport upstream patch to fix tuned-adm w/o action

 -- Evgeni Golov <evgeni@debian.org>  Thu, 06 Sep 2018 11:53:03 +0200
