=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 #export DH_VERBOSE = 1
 
 %:
-	dh $@ --with python2,systemd
+	dh $@ --with python3,systemd
 
 override_dh_install:
 	# Debian currently does not ship python-perf from src:linux
