=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Evgeni Golov <evgeni@debian.org>
 Uploaders: gustavo panizzo <gfa@zumbi.com.ar>
-Build-Depends: debhelper (>= 10.3),
+Build-Depends: debhelper-compat (= 13),
                desktop-file-utils,
                dh-python,
                ethtool,
@@ -13,11 +13,10 @@
                python3-configobj,
                python3-dbus,
                python3-decorator,
-               python3-flexmock,
                python3-gi,
                python3-pyudev,
                systemd
-Standards-Version: 4.2.1
+Standards-Version: 4.5.1
 Homepage: https://tuned-project.org/
 Vcs-Git: https://salsa.debian.org/debian/tuned.git
 Vcs-Browser: https://salsa.debian.org/debian/tuned
@@ -28,17 +27,19 @@
          ethtool,
          gawk,
          hdparm,
+         ncat,
          policykit-1 (>= 0.105-17~),
          procps,
          python3-configobj,
          python3-dbus,
          python3-decorator,
+         python3-linux-procfs,
          python3-gi,
          python3-pyudev,
          virt-what,
          ${misc:Depends},
          ${python3:Depends}
-Recommends: linux-cpupower
+Recommends: linux-cpupower, python3-dmidecode
 Description: daemon for monitoring and adaptive tuning of system devices
  The tuned package contains a daemon that tunes system settings dynamically.
  It does so by monitoring the usage of several system components periodically.
