## tuned 2.15.0

=== debian/changelog ===
tuned (2.15.0-1ubuntu1) jammy; urgency=medium

  * VMware VMs experience 100% CPU usage when the latency-performance tuned
    profile is enabled (LP: #2103840)
    - d/p/lp2103840-0001-Expanding-cpu-plugin-force_latency-option-syntax.patch
    - d/p/lp2103840-0002-profiles-use-cstate.id_no_zero-instead-of-the-cstate.patch

 -- Chengen Du <chengen.du@canonical.com>  Sat, 22 Mar 2025 03:49:36 +0000

tuned (2.15.0-1) unstable; urgency=medium

  * New upstream release.
  * use dmicode instead of python3-dmicode, upstream switched code
  * move hdparm to recommends
  * add kmod to recommends
  * add new postgresql profile
  * drop gustavo from uploaders on his request

 -- Evgeni Golov <evgeni@debian.org>  Sat, 26 Dec 2020 09:21:18 +0100
