=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: tuned
 Section: admin
 Priority: optional
-Maintainer: Evgeni Golov <evgeni@debian.org>
-Uploaders: gustavo panizzo <gfa@zumbi.com.ar>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Evgeni Golov <evgeni@debian.org>
 Build-Depends: debhelper-compat (= 13),
                desktop-file-utils,
                dh-python,
@@ -26,7 +26,6 @@
 Depends: dbus,
          ethtool,
          gawk,
-         hdparm,
          ncat,
          policykit-1 (>= 0.105-17~),
          procps,
@@ -39,7 +38,7 @@
          virt-what,
          ${misc:Depends},
          ${python3:Depends}
-Recommends: linux-cpupower, python3-dmidecode
+Recommends: linux-cpupower, dmidecode, hdparm, kmod
 Description: daemon for monitoring and adaptive tuning of system devices
  The tuned package contains a daemon that tunes system settings dynamically.
  It does so by monitoring the usage of several system components periodically.
