=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: tuned
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Evgeni Golov <evgeni@debian.org>
+Maintainer: Evgeni Golov <evgeni@debian.org>
 Build-Depends: debhelper-compat (= 13),
                desktop-file-utils,
                dh-python,
@@ -10,13 +9,11 @@
                hdparm,
                pkg-config,
                python3-all,
-               python3-configobj,
                python3-dbus,
-               python3-decorator,
                python3-gi,
                python3-pyudev,
                systemd
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Homepage: https://tuned-project.org/
 Vcs-Git: https://salsa.debian.org/debian/tuned.git
 Vcs-Browser: https://salsa.debian.org/debian/tuned
@@ -27,18 +24,16 @@
          ethtool,
          gawk,
          ncat,
-         policykit-1 (>= 0.105-17~),
+         polkitd,
          procps,
-         python3-configobj,
          python3-dbus,
-         python3-decorator,
          python3-linux-procfs,
          python3-gi,
          python3-pyudev,
          virt-what,
          ${misc:Depends},
          ${python3:Depends}
-Recommends: linux-cpupower, dmidecode, hdparm, kmod
+Recommends: linux-cpupower, dmidecode, hdparm, iproute2, kmod
 Description: daemon for monitoring and adaptive tuning of system devices
  The tuned package contains a daemon that tunes system settings dynamically.
  It does so by monitoring the usage of several system components periodically.
@@ -49,6 +44,7 @@
 Package: tuned-gtk
 Architecture: all
 Depends: gir1.2-gtk-3.0,
+         pkexec,
          powertop,
          python3-gi,
          tuned (= ${binary:Version}),
