## tuned 2.21.0

=== Makefile ===
--- 
+++ 
@@ -6,6 +6,10 @@
 # scratch-build for triggering Jenkins
 SCRATCH_BUILD_TARGET = rhel-7.5-candidate
 VERSION = $(shell awk '/^Version:/ {print $$2}' tuned.spec)
+PRERELEASENUM = $(shell awk '/^\s*%global prereleasenum/ {print $$3}' tuned.spec)
+ifneq ($(strip $(PRERELEASENUM)),)
+	PRERELEASE = -rc.$(PRERELEASENUM)
+endif
 GIT_DATE = $(shell date +'%Y%m%d')
 ifeq ($(BUILD), release)
 	RPM_ARGS += --without snapshot
@@ -19,27 +23,29 @@
 	GIT_PSUFFIX = .$(GIT_SUFFIX)
 	RPM_VERSION = $(NAME)-$(VERSION)-1$(GIT_PSUFFIX)
 endif
+PKG_CONFIG = pkg-config
 UNITDIR_FALLBACK = /usr/lib/systemd/system
-UNITDIR_DETECT = $(shell pkg-config systemd --variable systemdsystemunitdir || rpm --eval '%{_unitdir}' 2>/dev/null || echo $(UNITDIR_FALLBACK))
+UNITDIR_DETECT = $(shell $(PKG_CONFIG) systemd --variable systemdsystemunitdir || rpm --eval '%{_unitdir}' 2>/dev/null || echo $(UNITDIR_FALLBACK))
 UNITDIR = $(UNITDIR_DETECT:%{_unitdir}=$(UNITDIR_FALLBACK))
 TMPFILESDIR_FALLBACK = /usr/lib/tmpfiles.d
-TMPFILESDIR_DETECT = $(shell pkg-config systemd --variable tmpfilesdir || rpm --eval '%{_tmpfilesdir}' 2>/dev/null || echo $(TMPFILESDIR_FALLBACK))
+TMPFILESDIR_DETECT = $(shell $(PKG_CONFIG) systemd --variable tmpfilesdir || rpm --eval '%{_tmpfilesdir}' 2>/dev/null || echo $(TMPFILESDIR_FALLBACK))
 TMPFILESDIR = $(TMPFILESDIR_DETECT:%{_tmpfilesdir}=$(TMPFILESDIR_FALLBACK))
-VERSIONED_NAME = $(NAME)-$(VERSION)$(GIT_PSUFFIX)
-
-SYSCONFDIR = /etc
-DATADIR = /usr/share
-DOCDIR = $(DATADIR)/doc/$(NAME)
-PYTHON = python3
+VERSIONED_NAME = $(NAME)-$(VERSION)$(PRERELEASE)$(GIT_PSUFFIX)
+
+export SYSCONFDIR = /etc
+export DATADIR = /usr/share
+export DOCDIR = $(DATADIR)/doc/$(NAME)
+PYTHON = /usr/bin/python3
 PYLINT = pylint-3
 ifeq ($(PYTHON),python2)
 PYLINT = pylint-2
 endif
-SHEBANG_REWRITE_REGEX= '1s/^(\#!\/usr\/bin\/)\<python\>/\1$(PYTHON)/'
-PYTHON_SITELIB = $(shell $(PYTHON) -c 'from distutils.sysconfig import get_python_lib; print(get_python_lib());')
+SHEBANG_REWRITE_REGEX= '1s|^\#!/usr/bin/\<python3\>|\#!$(PYTHON)|'
+PYTHON_SITELIB = $(shell $(PYTHON) -c 'from sysconfig import get_path; print(get_path("purelib"));')
 ifeq ($(PYTHON_SITELIB),)
 $(error Failed to determine python library directory)
 endif
+KERNELINSTALLHOOKDIR = /usr/lib/kernel/install.d
 TUNED_PROFILESDIR = /usr/lib/tuned
 TUNED_RECOMMEND_DIR = $(TUNED_PROFILESDIR)/recommend.d
 TUNED_USER_RECOMMEND_DIR = $(SYSCONFDIR)/tuned/recommend.d
@@ -55,15 +61,15 @@
 	mkdir -p $(VERSIONED_NAME)
 
 release-cp: release-dir
-	cp -a AUTHORS COPYING INSTALL README $(VERSIONED_NAME)
+	cp -a AUTHORS COPYING INSTALL README.md $(VERSIONED_NAME)
 
 	cp -a tuned.py tuned.spec tuned.service tuned.tmpfiles Makefile tuned-adm.py \
 		tuned-adm.bash dbus.conf recommend.conf tuned-main.conf 00_tuned \
-		bootcmdline modules.conf com.redhat.tuned.policy \
-		com.redhat.tuned.gui.policy tuned-gui.py tuned-gui.glade \
+		92-tuned.install bootcmdline modules.conf com.redhat.tuned.policy \
+		tuned-gui.py tuned-gui.glade \
 		tuned-gui.desktop $(VERSIONED_NAME)
 	cp -a doc experiments libexec man profiles systemtap tuned contrib icons \
-		$(VERSIONED_NAME)
+		tests $(VERSIONED_NAME)
 
 archive: clean release-cp
 	tar czf $(VERSIONED_NAME).tar.gz $(VERSIONED_NAME)
@@ -110,6 +116,15 @@
 
 nightly: tidy-mock-result-dir createrepo scratch-build
 	rsync -ave ssh --delete --progress mock-result-dir/ jskarvad@fedorapeople.org:/home/fedora/jskarvad/public_html/tuned/devel/repo/
+
+html:
+	$(MAKE) -C doc/manual
+
+install-html:
+	$(MAKE) -C doc/manual install
+
+clean-html:
+	$(MAKE) -C doc/manual clean
 
 install-dirs:
 	mkdir -p $(DESTDIR)$(PYTHON_SITELIB)
@@ -148,6 +163,7 @@
 	# None profile in the moment, autodetection will be used
 	echo -n > $(DESTDIR)$(SYSCONFDIR)/tuned/active_profile
 	echo -n > $(DESTDIR)$(SYSCONFDIR)/tuned/profile_mode
+	echo -n > $(DESTDIR)$(SYSCONFDIR)/tuned/post_loaded_profile
 	install -Dpm 0644 bootcmdline $(DESTDIR)$(SYSCONFDIR)/tuned/bootcmdline
 	install -Dpm 0644 modules.conf $(DESTDIR)$(SYSCONFDIR)/modprobe.d/tuned.conf
 
@@ -161,8 +177,8 @@
 		$(DESTDIR)$(SYSCONFDIR)/tuned/realtime-virtual-host-variables.conf
 	mv $(DESTDIR)$(TUNED_PROFILESDIR)/cpu-partitioning/cpu-partitioning-variables.conf \
 		$(DESTDIR)$(SYSCONFDIR)/tuned/cpu-partitioning-variables.conf
-	mv $(DESTDIR)$(TUNED_PROFILESDIR)/sap-hana-vmware/sap-hana-vmware-variables.conf \
-		$(DESTDIR)$(SYSCONFDIR)/tuned/sap-hana-vmware-variables.conf
+	mv $(DESTDIR)$(TUNED_PROFILESDIR)/cpu-partitioning-powersave/cpu-partitioning-powersave-variables.conf \
+		$(DESTDIR)$(SYSCONFDIR)/tuned/cpu-partitioning-powersave-variables.conf
 	install -pm 0644 recommend.conf $(DESTDIR)$(TUNED_RECOMMEND_DIR)/50-tuned.conf
 
 	# bash completion
@@ -175,22 +191,25 @@
 	install -Dpm 0644 tuned.service $(DESTDIR)$(UNITDIR)/tuned.service
 
 	# dbus configuration
-	install -Dpm 0644 dbus.conf $(DESTDIR)$(SYSCONFDIR)/dbus-1/system.d/com.redhat.tuned.conf
+	install -Dpm 0644 dbus.conf $(DESTDIR)$(DATADIR)/dbus-1/system.d/com.redhat.tuned.conf
 
 	# grub template
 	install -Dpm 0755 00_tuned $(DESTDIR)$(SYSCONFDIR)/grub.d/00_tuned
 
+	# kernel install hook
+	install -Dpm 0755 92-tuned.install $(DESTDIR)$(KERNELINSTALLHOOKDIR)/92-tuned.install
+
 	# polkit configuration
 	install -Dpm 0644 com.redhat.tuned.policy $(DESTDIR)$(DATADIR)/polkit-1/actions/com.redhat.tuned.policy
-	install -Dpm 0644 com.redhat.tuned.gui.policy $(DESTDIR)$(DATADIR)/polkit-1/actions/com.redhat.tuned.gui.policy
 
 	# manual pages
 	$(foreach man_section, 5 7 8, $(foreach file, $(wildcard man/*.$(man_section)), \
 		install -Dpm 0644 $(file) $(DESTDIR)$(DATADIR)/man/man$(man_section)/$(notdir $(file));))
 
 	# documentation
-	cp -a doc/* $(DESTDIR)$(DOCDIR)
-	cp AUTHORS COPYING README $(DESTDIR)$(DOCDIR)
+	cp -a doc/README* $(DESTDIR)$(DOCDIR)
+	cp -a doc/*.txt $(DESTDIR)$(DOCDIR)
+	cp AUTHORS COPYING README.md $(DESTDIR)$(DOCDIR)
 
 	# libexec scripts
 	$(foreach file, $(wildcard libexec/*), \
@@ -204,14 +223,14 @@
 	install -dD $(DESTDIR)$(DATADIR)/applications
 	desktop-file-install --dir=$(DESTDIR)$(DATADIR)/applications tuned-gui.desktop
 
-clean:
+clean: clean-html
 	find -name "*.pyc" | xargs rm -f
 	rm -rf $(VERSIONED_NAME) rpm-build-dir
 
 test:
-	$(PYTHON) -m unittest discover tests
+	$(PYTHON) -B -m unittest discover tests/unit
 
 lint:
-	$(PYLINT) -E -f parseable tuned *.py
+	$(PYLINT) -E -f parseable tuned *.py tests/unit
 
 .PHONY: clean archive srpm tag test lint
