=== debian/changelog ===
tuned (2.21.0-1ubuntu2) noble; urgency=medium

  * d/p/0006-CPU-plugin-log-an-error-when-running-on-s390x.patch: log an error
    about the PM_QoS control not being supported on s390x.
  * Create DEP-8 test for custom profile.
    - d/t/custom-profile: create it with the content extracted from tuned-vm
      test. Now expect an error message in the logs when running on s390x.
    - d/t/control: add the new custom-profile test.
    - d/t/tuned-vm: remove content related to custom profile.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Tue, 30 Jan 2024 17:08:58 -0300

tuned (2.21.0-1ubuntu1) noble; urgency=medium

  * d/p/0004-Recommend-the-default-profile-for-containers.patch: apply default
    profile in containers by default.
  * Build and install HTML documentation.
    - d/control: add asciidoctor as b-d.
    - d/rules: call upstream Makefile to build the doc before dh_installdocs.
    - d/tuned.doc{,-base}: install HTML documentation.
  * d/t/{control,tuned-container}: check default profile in a container.
  * d/t/{control,tuned-vm}: add test to check tuned in a VM, including a
    custom profile using dynamic features.
  * d/p/0005-Use-float-instead-of-str-in-cpu-plugin-load-threshol.patch: fix
    error when trying to set CPU latency threshold in a custom profile.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Wed, 24 Jan 2024 17:21:46 -0300

tuned (2.21.0-1) unstable; urgency=medium

  * New upstream release
  * move com.redhat.tuned.conf dbus config to /usr/share
  * new sap-hana-kvm-guest profile
  * drop explicitly-use-bin-bash-for-tuned-scripts.patch
  * README was renamed to README.md
  * remove old dbus configuration from etc on upgrade
  * package missing folders for state tracking (Closes: #1058910)

 -- Evgeni Golov <evgeni@debian.org>  Fri, 29 Dec 2023 21:44:19 +0100

tuned (2.20.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Helmut Grohne ]
  * Fix FTBFS when systemd.pc changes systemdsystemunitdir (Closes: #1052703)

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 30 Oct 2023 18:17:33 +0100
