=== debian/control ===
--- 
+++ 
@@ -1,8 +1,10 @@
 Source: tuned
 Section: admin
 Priority: optional
-Maintainer: Evgeni Golov <evgeni@debian.org>
-Build-Depends: debhelper-compat (= 13),
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Evgeni Golov <evgeni@debian.org>
+Build-Depends: asciidoctor,
+               debhelper-compat (= 13),
                desktop-file-utils,
                dh-python,
                ethtool,
@@ -12,7 +14,8 @@
                python3-dbus,
                python3-gi,
                python3-pyudev,
-               systemd
+               systemd,
+               systemd-dev,
 Standards-Version: 4.6.2
 Homepage: https://tuned-project.org/
 Vcs-Git: https://salsa.debian.org/debian/tuned.git
