=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,10 @@
 #export DH_VERBOSE = 1
 
 export DEB_PYTHON_INSTALL_LAYOUT=deb_system
+export deb_systemdsystemunitdir = $(shell pkg-config --variable=systemdsystemunitdir systemd | sed s,^/,,)
 
 %:
 	dh $@ --with python3
+
+execute_before_dh_installdocs:
+	make html
