=== debian/tests/control ===
Tests: tuned-adm
Restrictions: isolation-container, needs-root
Depends: @

Tests: tuned-container
Restrictions: isolation-container, needs-root, skippable
Depends: @

Tests: tuned-vm
Restrictions: isolation-machine, needs-root
Depends: @

Tests: custom-profile
Restrictions: isolation-machine, needs-root
Depends: @
