## tuned 2.22.1

=== debian/changelog ===
tuned (2.22.1-1ubuntu1) oracular; urgency=medium

  * Merge with Debian unstable (LP: #2069727). Remaining changes:
    - Recommend the default profile for containers:
      + d/p/0004-Recommend-the-default-profile-for-containers.patch:
        apply default profile in containers by default
      + d/t/{control,tuned-container}: check default profile in a container
    - d/t/{control,tuned-vm}: add test to check tuned in a VM
    - d/p/0005-Use-float-instead-of-str-in-cpu-plugin-load-threshol.patch: fix
      error when trying to set CPU latency threshold in a custom profile.
      [Sent upstream]
    - d/t/tuned-vm: add tests for a custom profile using dynamic
      features
    - d/p/0006-CPU-plugin-log-an-error-when-running-on-s390x.patch:
      notify user that the CPU plugin does not work as expected on
      s390x.
      [refreshed]
    - Create DEP-8 test for custom profile:
      + d/t/custom-profile: created with content extracted from tuned-vm
        test.  Now expect an error message in the logs when running on
        s390x.
      + d/t/control: add the new custom-profile test.
      + d/t/tuned-vm: remove content related to custom profile.
  * Dropped:
    - Build and install HTML documentation.
      + d/control: add asciidoctor as b-d.
      + d/rules: call upstream Makefile to build the doc before dh_installdocs.
      + d/tuned.doc{,-base}: install HTML documentation.
      [Included in 2.21.0-2]
  * Added:
    - d/t/control: limit test dependencies to only tuned, as tuned-ppd
      changes the default profile to "balanced"
    - d/t/custom-profile: re-enable dynamic tuning, which is needed by
      this test and was disabled by upstream in 2.22.0

 -- Andreas Hasenack <andreas@canonical.com>  Sat, 22 Jun 2024 11:07:19 -0300

tuned (2.22.1-1) unstable; urgency=medium

  * New upstream release

 -- Evgeni Golov <evgeni@debian.org>  Fri, 23 Feb 2024 17:28:08 +0100

tuned (2.22.0-1) unstable; urgency=medium

  * New upstream release
  * refresh patches
  * add tuned-ppd package
  * recommend linux-perf, some plugins need it to operate
  * register manual with doc-base

 -- Evgeni Golov <evgeni@debian.org>  Thu, 22 Feb 2024 17:35:16 +0100

tuned (2.21.0-2) unstable; urgency=medium

  * Don't build-depend on systemd, systemd-dev is enough for building
    (Closes: #1060596)
  * Build-depend on pkgconf not pkg-config
  * build HTML documentation

 -- Evgeni Golov <evgeni@debian.org>  Sun, 18 Feb 2024 19:28:19 +0100
