=== debian/control ===
--- 
+++ 
@@ -9,12 +9,11 @@
                dh-python,
                ethtool,
                hdparm,
-               pkg-config,
+               pkgconf,
                python3-all,
                python3-dbus,
                python3-gi,
                python3-pyudev,
-               systemd,
                systemd-dev,
 Standards-Version: 4.6.2
 Homepage: https://tuned-project.org/
@@ -35,7 +34,7 @@
          virt-what,
          ${misc:Depends},
          ${python3:Depends}
-Recommends: linux-cpupower, dmidecode, hdparm, iproute2, kmod
+Recommends: linux-cpupower, linux-perf, dmidecode, hdparm, iproute2, kmod
 Description: daemon for monitoring and adaptive tuning of system devices
  The tuned package contains a daemon that tunes system settings dynamically.
  It does so by monitoring the usage of several system components periodically.
@@ -62,6 +61,17 @@
  .
  This package contains the GTK+ GUI that can control tuned and provides simple
  profile editor.
+
+Package: tuned-ppd
+Architecture: all
+Depends: tuned (= ${binary:Version}),
+         ${misc:Depends},
+         ${python3:Depends}
+Conflicts: power-profiles-daemon
+Provides: power-profiles-daemon
+Description: PPD compatibility daemon
+ An API translation daemon that allows applications to easily transition
+ to TuneD from power-profiles-daemon (PPD).
 
 Package: tuned-utils
 Architecture: all
