=== debian/tests/control ===
Tests: tuned-adm
Restrictions: isolation-container, needs-root
Depends: tuned

Tests: tuned-container
Restrictions: isolation-container, needs-root, skippable
Depends: tuned

Tests: tuned-vm
Restrictions: isolation-machine, needs-root
Depends: tuned

Tests: custom-profile
Restrictions: isolation-machine, needs-root
Depends: tuned
